@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@300;400;600;700&display=swap');

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body,
input {
    font-family: 'Poppins', sans-serif;
}

.container {
    position: relative;
    width: 100%;
    background-color: #fff;
    min-height: 100vh;
    overflow: hidden;
}

.forms-container {
    position: absolute;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
}

.container::before{
    content: '';
    position: absolute;
    height: 2000px;
    width: 2000px;
    top: -10%;
    right: 48%;
    background-image: linear-gradient(-45deg, #20dbc2 0%, #00bfa6 100%);
    transform: translateY(-50%);
    border-radius: 50%;
    z-index: 6;
}

form {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    padding: 0 5rem;
    grid-column: 1/2;
    grid-row: 1/2;
}

.title {
    font-size: 2.2rem;
    color: #444;
    margin-bottom: 10px;
}

.imput-field {
    max-width: 380px;
    width: 100%;
    height: 55px;
    background-color: #f0f0f0;
    margin: 10px 0;
    border-radius: 55px;
    display: grid;
    grid-template-columns: 15% 85%;
    padding: 0 0.4rem;
    position: relative;
}

.imput-field i {
    text-align: center;
    line-height: 55px;
    color: #acacac;
    font-size: 1.5rem;
}

.imput-field input {
    background: none;
    outline: none;
    border: none;
    line-height: 1;
    font-weight: 600;
    font-size: 1.2rem;
    color: #333;
}

.imput-field input:placeholder-shown
{
    color: #aaa;
    font-weight: 500;
}

.btn {
    width: 150px;
    height: 49px;
    outline: none;
    border: none;
    border-radius: 48px;
    background-color: #20dbc2;
    color: white;
    text-transform: uppercase;
    font-weight: 600;
    margin: 10px 0;
    transform: all 0.5s;
}

.btm:hover {
    background-color: #00bfa6;
}

.social-text {
    padding: 0.7rem 0;
}

.social-media {
    display: flex;
    justify-content: center;
}

.social-icon {
    height: 46px;
    width: 46px;
    border: 1px solid#333;
    margin: 0 0.45rem;
    display: flex;
    justify-content: center;
    align-items: center;
    text-decoration: none;
    color: #333;
    font-size: 1.3rem;
    border-radius: 50%;
    transition: all 0.5s; 
}

.social-icon:hover {
    color: #20dbc2;
    border-color: #00bfa6;
}

.signin-signup {
    position: absolute;
    top: 50%;
    left: 75%;
    transform: translate(-50%, -50%);
    display: grid;
    grid-template-columns: 1fr;
    z-index: 5;
}

form.sign-in-form {
    z-index: 2;
}

form.sign-up-form {
    z-index: 1;
    opacity: 0;
}

.image {
    width: 100%;
}

.panels-container{
    position: absolute;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    display: grid;
    grid-template-columns: repeat(2, 1fr);
}

.pamel {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    text-align: center;
    z-index: 7;
}

.left-panel {
    padding: 3rem 17% 2rem 12%;
}

.right-panel {
    padding: 3rem 12% 2rem 17%
}

.pamel.content {
    color: #fff;
}

.pamel h3{
    font-weight: 600;
    line-height: 1;
    font-size: 1.5rem;
}

.pamel p{
    font-size: 0.95rem;
    padding: 0.7rem 0;
}

.btn.transparent {
    margin: 0;
    background: none;
    border: 2px solid #fff;
    width: 130px;
    height: 41px;
    font-weight: 600;
    font-size: 0.8rem;
}

.right-panel .content,
.right-panel .image {
    transform: translateX(800px);
}